import { jsx } from "react/jsx-runtime";
import { FileSqlIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileSql = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileSql", ...props, children: /* @__PURE__ */ jsx(FileSqlIcon, { weight: variant }) });
  }
);
FileSql.displayName = "FileSql";
Object.assign(FileSql, { isGdsIcon: true });
export {
  FileSql
};
